org.jfree.report.structure

## Class Group

- java.lang.Object
- - org.jfree.report.structure.Node
  - - org.jfree.report.structure.Element
    - - org.jfree.report.structure.Section
      - - org.jfree.report.structure.Group

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Group
      extends Section

  A report group. A group is a repeated section which is bound to an expression.

  ## Default Behaviour

  Whether a new group should be started is evaluated by the group's expression. If that expression returns Boolean.TRUE, a new group instance is started. (That expression answers the Questions: 'Does this group instance end here?').

  If the group expression is invalid or there is no group expression at all, a group will consume all rows until the datasource is no longer advanceable.
  Author:
    David Gilbert, Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jfree.report.structure.Element

      `ID_ATTRIBUTE, NAME_ATTRIBUTE, NAMESPACE_ATTRIBUTE, TYPE_ATTRIBUTE, VIRTUAL_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group()` Constructs a group with no fields, and an empty header and footer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `Group` | `getGroup()`
    `Expression` | `getGroupingExpression()`
    `void` | `setGroupingExpression(Expression groupingExpression)`
    `java.lang.String` | `toString()` Returns a string representation of the group (useful for debugging).

    - ### Methods inherited from class org.jfree.report.structure.Section

      `addNode, addNode, addNodes, addOperationAfter, addOperationBefore, findFirstChild, getElementByName, getNode, getNodeArray, getNodeCount, getNodes, getOperationAfter, getOperationBefore, isRepeat, removeNode, setOperationAfter, setOperationBefore, setRepeat`

    - ### Methods inherited from class org.jfree.report.structure.Element

      `addExpression, getAttribute, getAttribute, getAttributeExpression, getAttributeExpression, getAttributeExpressionMap, getAttributeExpressions, getAttributeMap, getDisplayCondition, getExpressions, getId, getLocale, getLocaleFromAttributes, getName, getNamespace, getStyle, getStyleExpression, getStyleExpressions, getType, getVisibility, isEnabled, isVirtual, setAttribute, setAttribute, setAttributeExpression, setAttributeExpression, setDisplayCondition, setEnabled, setExpressions, setId, setName, setNamespace, setStyleExpression, setType, setVirtual, setVisibility`

    - ### Methods inherited from class org.jfree.report.structure.Node

      `getParent, getReport, getRootReport, setParent, updateParent`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Group

          public Group()

      Constructs a group with no fields, and an empty header and footer.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representation of the group (useful for debugging).
      Overrides:
        `toString` in class `Section`
      Returns:
        A string.

    - #### getGroupingExpression

          public Expression getGroupingExpression()

    - #### setGroupingExpression

          public void setGroupingExpression(Expression groupingExpression)

    - #### getGroup

          public Group getGroup()

      Overrides:
        `getGroup` in class `Node`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `Section`
      Throws:
        `java.lang.CloneNotSupportedException`